Change log for h5py package in Ubuntu

146 of 46 results
Published in disco-proposed on 2019-02-02
h5py (2.9.0-1) unstable; urgency=medium

  * New upstream version 2.9.0
  * Remove patches included in the 2.9.0 release and Refresh patches.
  * Override dh_auto_test to run tests in the way recommended by upstream.
  * Bump Standards-Version to 4.3.0 (no change).

 -- Mo Zhou <email address hidden>  Sat, 02 Feb 2019 07:40:35 +0000

Available diffs

Published in disco-release on 2019-01-27
Deleted in disco-proposed (Reason: moved to release)
h5py (2.8.0-3) unstable; urgency=medium

  * Cherry-pick upstream commit df9268c26f2a98e0891afc15aa497d062c53a56a
    "TST/API: do not remap the exceptions for the get_num_objs"
    The previous patch for fixing HDF5 1.10.3 compatibility is incorrect.

 -- Mo Zhou <email address hidden>  Tue, 18 Dec 2018 13:28:21 +0000
Superseded in disco-proposed on 2018-12-18
h5py (2.8.0-2build1) disco; urgency=medium

  * Rebuild against new libhdf5-103.

 -- Gianfranco Costamagna <email address hidden>  Wed, 12 Dec 2018 11:21:08 +0100
Superseded in disco-proposed on 2018-12-12
h5py (2.8.0-2) unstable; urgency=medium

  [ Andreas Tille ]
  * Remove unneeded get-orig-source target

  [ Gilles Filippini ]
  * Fix FTBFS against HDF5 1.10.3 (Closes: #914245)
    (+ hdf5-1.10.3-support.patch) 

  [ Mo Zhou ]
  * Add myself to Uploaders.

 -- Mo Zhou <email address hidden>  Fri, 23 Nov 2018 15:00:39 +0000
Superseded in disco-release on 2019-01-27
Deleted in disco-proposed on 2019-01-29 (Reason: moved to release)
h5py (2.8.0-1build1) disco; urgency=medium

  * No-change rebuild to build without python3.6 support.

 -- Matthias Klose <email address hidden>  Sat, 03 Nov 2018 12:07:27 +0000
Superseded in disco-release on 2018-11-07
Published in cosmic-release on 2018-08-21
Deleted in cosmic-proposed (Reason: moved to release)
h5py (2.8.0-1) unstable; urgency=medium

  * Team upload.

  [ Andreas Tille ]
  * New upstream version (Closes: #902553, #898526, #900419)
  * Bump debhelper compat level to 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.4

  [ Mo Zhou ]
  * Remove the ancient X-Python*-Version fields.
  * Bump Standards-Version to 4.2.0 .
    - Remove Priority: extra from control since it had been deprecated.
  * Add the missing B-D python-unittest2 for python2 tests.

 -- Mo Zhou <email address hidden>  Sat, 04 Aug 2018 16:54:06 +0000
Superseded in cosmic-proposed on 2018-08-05
h5py (2.8.0-0ubuntu2) cosmic; urgency=medium

  * Add unittest2 as build and test dependencies.

 -- Matthias Klose <email address hidden>  Fri, 27 Jul 2018 12:53:17 +0200

Available diffs

Superseded in cosmic-proposed on 2018-07-27
h5py (2.8.0-0ubuntu1) cosmic; urgency=medium

  * New upstream version.

 -- Matthias Klose <email address hidden>  Fri, 27 Jul 2018 12:04:26 +0200

Available diffs

Superseded in cosmic-proposed on 2018-07-27
h5py (2.7.1-2build1) cosmic; urgency=medium

  * No-change rebuild to build for python3.7.

 -- Matthias Klose <email address hidden>  Thu, 28 Jun 2018 12:35:58 +0000
Superseded in cosmic-release on 2018-08-21
Published in bionic-release on 2017-10-24
Published in artful-release on 2017-09-17
Deleted in artful-proposed (Reason: moved to release)
h5py (2.7.1-2) unstable; urgency=medium

  * Fixup the debug package description for Python 2.
    Thanks to James Clarke
  * Replace occurrences of findstring with filter.
    Thanks to James Clarke
  * Build and install the low-level API documentation
    - Move Sphinx to Build-Depends
    - Build and install the API documentation
    - New patch Fix-build-of-API-docs-with-Python-3.patch
    Thanks to Drew Parsons for reporting (Closes: #874712)
  * Filter egg-info directory with extend-diff-ignore
  * Add recommended get-orig-source target

 -- Ghislain Antony Vaillant <email address hidden>  Mon, 11 Sep 2017 10:15:49 +0100
Superseded in artful-release on 2017-09-17
Deleted in artful-proposed on 2017-09-18 (Reason: moved to release)
h5py (2.7.1-1ubuntu1) artful; urgency=medium

  * Move python-sphinx to BD.

 -- Gianfranco Costamagna <email address hidden>  Thu, 07 Sep 2017 09:30:01 +0200
Superseded in artful-release on 2017-09-11
Deleted in artful-proposed on 2017-09-12 (Reason: moved to release)
h5py (2.7.0-1ubuntu5) artful; urgency=medium

  * No-change rebuild to drop _PyFPE support.

 -- Matthias Klose <email address hidden>  Tue, 05 Sep 2017 08:21:25 +0000

Available diffs

Superseded in artful-proposed on 2017-09-07
h5py (2.7.1-1) unstable; urgency=medium

  * Switch from git-dpm to gbp
  * New upstream version 2.7.1 (Closes: #867987)
  * Update the patch queue
    - Drop patch numbering, rename 0001-Disable-usage-of-rpath.patch to
      No-rpath.patch
    - New patch No-intersphinx.patch, disable useless intersphinx mapping
  * Update copyright information and dates
  * Normalize the package descriptions
  * Build the docs using the upstream Makefile
  * Use DEB_BUILD_OPTIONS for the nodoc guards
  * Bump the standards version to 4.1.0

 -- Ghislain Antony Vaillant <email address hidden>  Sun, 03 Sep 2017 18:17:55 +0200
Superseded in artful-release on 2017-09-06
Deleted in artful-proposed on 2017-09-07 (Reason: moved to release)
h5py (2.7.0-1ubuntu4) artful; urgency=medium

  * No-change rebuild to build to drop python3.5.

 -- Matthias Klose <email address hidden>  Sat, 05 Aug 2017 16:25:27 +0000

Available diffs

Superseded in artful-release on 2017-08-06
Deleted in artful-proposed on 2017-08-08 (Reason: moved to release)
h5py (2.7.0-1ubuntu3) artful; urgency=medium

  * Rebuild to add python 3.6 support.

 -- Bhavani Shankar <email address hidden>  Fri, 12 May 2017 15:35:59 +0530

Available diffs

Superseded in artful-release on 2017-05-13
Deleted in artful-proposed on 2017-05-14 (Reason: moved to release)
h5py (2.7.0-1ubuntu2) artful; urgency=medium

  * Revert Ubuntu-specific disabling of -pie since Ubuntu has
    the newer dpkg version now.

 -- Jeremy Bicha <email address hidden>  Sun, 23 Apr 2017 15:13:48 -0400

Available diffs

Superseded in artful-release on 2017-04-23
Obsolete in zesty-release on 2018-06-22
Deleted in zesty-proposed on 2018-06-22 (Reason: moved to release)
h5py (2.7.0-1ubuntu1) zesty; urgency=medium

  * Merge from Debian unstable, remaining changes:
    + Disable building with pie to fix build failure
  * Drop fix for ppc64le longdouble type conversion

Superseded in zesty-proposed on 2017-04-08
h5py (2.7.0~rc3-1ubuntu2) zesty; urgency=medium

  * Fix ppc64le longdouble type conversion

 -- Graham Inggs <email address hidden>  Sat, 08 Apr 2017 08:55:41 +0200
Superseded in zesty-proposed on 2017-04-08
h5py (2.7.0~rc3-1ubuntu1) zesty; urgency=medium

  * Merge from Debian unstable, remaining changes:
    - Build without pie

 -- Gianfranco Costamagna <email address hidden>  Wed, 25 Jan 2017 19:40:32 +0100
Superseded in zesty-release on 2017-04-12
Deleted in zesty-proposed on 2017-04-13 (Reason: moved to release)
h5py (2.6.0-2ubuntu1) zesty; urgency=medium

  * Disable building with pie to fix build failure

 -- Jeremy Bicha <email address hidden>  Sat, 24 Dec 2016 13:13:33 -0500
Superseded in zesty-proposed on 2016-12-24
h5py (2.6.0-2) unstable; urgency=medium

  * Cherry-pick upstream patch fixing HDF5 detection.
    - New patch Package-Config-Fix-Detection.patch.
    Thanks to Iain Lane for reporting (Closes: #846351)
  * Bump standards version to 3.9.8, no changes required.
  * Use HTTPS for the copyright Format URI.
  * Drop superfluous Testsuite field.
  * Mark -doc package Multi-Arch: foreign.
  * Suggest install of -doc package.
  * Call dh_numpy{,3} in dh_python{2,3} overrides.
  * Enable hardening.
  * Cosmetic fixups in rules file.
  * Update gbp.conf with current repository layout.
  * Simplify the packaging testsuite.

 -- Ghislain Antony Vaillant <email address hidden>  Thu, 01 Dec 2016 11:53:05 +0000
Superseded in zesty-release on 2016-12-30
Deleted in zesty-proposed on 2016-12-31 (Reason: moved to release)
h5py (2.6.0-1ubuntu1) zesty; urgency=medium

  * debian/patches/0001-Package-Config-Fix-Detection.patch: Cherry-pick from
    upstream. Fix detection of hdf5, whose absence caused a fallback path to
    be used, which resulted in testsuite failures and FTBFS.

 -- Iain Lane <email address hidden>  Wed, 30 Nov 2016 14:40:56 +0000
Superseded in zesty-proposed on 2016-11-30
h5py (2.6.0-1build1) zesty; urgency=medium

  * Rebuild against new hdf5

 -- Iain Lane <email address hidden>  Tue, 29 Nov 2016 17:33:49 +0000
Superseded in zesty-release on 2016-12-09
Obsolete in yakkety-release on 2018-01-23
Published in xenial-release on 2016-02-15
Deleted in xenial-proposed (Reason: moved to release)
h5py (2.6.0-1) unstable; urgency=medium

  * New upstream release.
  * d/gbp.conf: no patch numbering.
  * Update patch queue:
    - Drop 0002-prevent-cython-dep.patch, no longer required.
    - Drop drop-mpiposix.patch, unused.
    - Refresh Disable-usage-of-rpath.patch.
  * Update build dependencies:
    - Raise versioned depends on cython to 0.19.
    - Drop versioned depends on numpy and sphinx.
  * Update copyright:
    - add myself to the copyright holders of the debian files.
    - add missing copyright information for vendored files.
    - cme fix, wrap and sort.
  * Add patch disabling broken tests acknowledged upstream.
    Thanks to Gilles Filippini. (Closes: #797476)

 -- Ghislain Antony Vaillant <email address hidden>  Tue, 02 Feb 2016 16:11:06 +0000
Superseded in xenial-proposed on 2016-02-03
h5py (2.5.0-3) unstable; urgency=medium

  * Add missing install dependencies for debug packages.
  * d/control: use secure VCS-Git URI.

 -- Ghislain Antony Vaillant <email address hidden>  Tue, 26 Jan 2016 07:46:33 +0000

Available diffs

Superseded in xenial-proposed on 2016-01-26
h5py (2.5.0-2) unstable; urgency=medium

  * Add debug extension packages.
    Thanks to Picca Frederic-Emmanuel (Closes: #793789)
  * d/control: cme fix, wrap and sort, update descriptions.
  * Add examples to doc package.
  * Move documentation generation to arch-indep targets.
  * Add autopkgtest testsuite.
  * Simplify clean target.

 -- Ghislain Antony Vaillant <email address hidden>  Sun, 24 Jan 2016 11:44:54 +0000
Superseded in xenial-release on 2016-02-15
Deleted in xenial-proposed on 2016-02-16 (Reason: moved to release)
h5py (2.5.0-1build3) xenial; urgency=medium

  * No-change rebuild to drop python3.4 support.

 -- Matthias Klose <email address hidden>  Tue, 19 Jan 2016 11:45:30 +0000

Available diffs

Superseded in xenial-release on 2016-01-19
Obsolete in wily-release on 2018-01-22
Deleted in wily-proposed on 2018-01-22 (Reason: moved to release)
h5py (2.5.0-1build2) wily; urgency=medium

  * No-change rebuild for hdf5 soname change.

 -- Matthias Klose <email address hidden>  Tue, 06 Oct 2015 12:21:39 +0000

Available diffs

Superseded in wily-release on 2015-10-07
Deleted in wily-proposed on 2015-10-08 (Reason: moved to release)
h5py (2.5.0-1build1) wily; urgency=medium

  * No-change rebuild for python3.5 transition

 -- Steve Langasek <email address hidden>  Thu, 23 Jul 2015 20:06:13 +0000
Superseded in wily-release on 2015-07-23
Deleted in wily-proposed on 2015-07-25 (Reason: moved to release)
h5py (2.5.0-1) unstable; urgency=medium

  * Remove dependency on pkg-config.
  * Release to unstable.

 -- Ghislain Antony Vaillant <email address hidden>  Thu, 02 Jul 2015 12:29:04 +0100
Superseded in wily-release on 2015-07-03
Obsolete in vivid-release on 2018-01-18
Deleted in vivid-proposed on 2018-01-19 (Reason: moved to release)
h5py (2.2.1-1.1build1) vivid; urgency=medium

  * Rebuild against libhdf5-8.
 -- Colin Watson <email address hidden>   Thu, 06 Nov 2014 12:35:29 +0000
Superseded in vivid-release on 2014-11-11
Deleted in vivid-proposed on 2014-11-13 (Reason: moved to release)
h5py (2.2.1-1.1) unstable; urgency=medium


  * Non-maintainer upload (closes: #756668).
  * Support hdf5 1.8.13 new packaging path layout.
  * Patch drop-mpiposix.patch: MPIPOSIX interface was dropped in
    hdf5 1.8.13

 -- Gilles Filippini <email address hidden>  Wed, 06 Aug 2014 19:19:39 +0200
Superseded in vivid-release on 2014-10-25
Obsolete in utopic-release on 2016-11-03
Published in trusty-release on 2014-04-01
Deleted in trusty-proposed (Reason: moved to release)
h5py (2.2.1-1build2) trusty; urgency=medium

  * No change rebuild to drop python3.3 compiled extension.
 -- Dimitri John Ledkov <email address hidden>   Tue, 01 Apr 2014 14:16:38 +0100

Available diffs

Superseded in trusty-release on 2014-04-01
Deleted in trusty-proposed on 2014-04-02 (Reason: moved to release)
h5py (2.2.1-1build1) trusty; urgency=low

  * rebuild with cython 0.20
 -- Julian Taylor <email address hidden>   Mon, 27 Jan 2014 19:39:57 +0100
Superseded in trusty-release on 2014-01-27
Deleted in trusty-proposed on 2014-01-29 (Reason: moved to release)
h5py (2.2.1-1) unstable; urgency=low


  * New upstream version
  * Fix python3 dependency (Closes: #732586)

 -- Soeren Sonnenburg <email address hidden>  Sat, 04 Jan 2014 23:18:29 +0100

Available diffs

Superseded in trusty-release on 2014-01-05
Deleted in trusty-proposed on 2014-01-06 (Reason: moved to release)
h5py (2.2.0-1) unstable; urgency=low


  * New upstream version (Closes: #691797, #691282)
  * Bump compat version to 9.
  * Bump standards version to 3.9.4.
  * Provide python3 package (Closes: #670545)
  * Update Vcs-* field (Closes: #664325)
  * Add cython as build deps.

 -- Soeren Sonnenburg <email address hidden>  Sat, 16 Nov 2013 06:46:45 +0100

Available diffs

Superseded in quantal-release on 2012-05-01
Published in precise-release on 2012-02-15
h5py (2.0.1-1build1) precise; urgency=low

  * Rebuild against numpy 1.6
 -- Julian Taylor <email address hidden>   Thu, 16 Feb 2012 00:17:26 +0100

Available diffs

Superseded in trusty-release on 2013-11-22
Obsolete in saucy-release on 2015-04-24
Obsolete in raring-release on 2015-04-24
Obsolete in quantal-release on 2015-04-24
h5py (2.0.1-2) unstable; urgency=low


  * Build depend on libhdf5-dev instead of libhdf5-serial-dev to accomodate
  hdf5 transition.

 -- Soeren Sonnenburg <email address hidden>  Wed, 18 Jan 2012 21:50:16 +0100
Superseded in precise-release on 2012-02-15
h5py (2.0.1-1) unstable; urgency=low

  * New upstream version.
  * Remove h5py_config.pickle created on
    python setup.py clean (Closes: #643152)
 -- Ubuntu Archive Auto-Sync <email address hidden>   Sun,  23 Oct 2011 08:26:56 +0000

Available diffs

Superseded in precise-release on 2011-10-23
Obsolete in oneiric-release on 2015-04-24
h5py (2.0.0-1) unstable; urgency=low
  * New upstream version.  * Bump standards version to 3.9.2 (no changes required).  * Switch package to dh_python2. -- Soeren Sonnenburg <email address hidden>  Sun, 24 Jul 2011 21:13:37 +0200
Superseded in oneiric-release on 2011-07-27
Obsolete in natty-release on 2013-06-04
h5py (1.3.1-1) unstable; urgency=low

  * New upstream version.
 -- Sameer Morar <email address hidden>   Wed, 12 Jan 2011 14:48:19 +0100

Available diffs

Superseded in natty-release on 2011-02-05
h5py (1.3.0-3) unstable; urgency=low

  * Convert package to pysupport and call dh_numpy upon install
    (Closes: #590738,#589835).
  * Bump standards version to 3.9.1.0 (no changes required).
 -- Ubuntu Archive Auto-Sync <email address hidden>   Fri,  15 Oct 2010 09:33:17 +0000

Available diffs

Superseded in natty-release on 2010-10-15
Obsolete in maverick-release on 2013-03-05
h5py (1.3.0-2) unstable; urgency=low

  * Update watch file for recent google code change.
 -- Ubuntu Archive Auto-Sync <email address hidden>   Fri,  28 May 2010 11:22:57 +0100

Available diffs

Superseded in maverick-release on 2010-05-28
h5py (1.3.0-1) unstable; urgency=low

  * New upstream version.
    - Remove quilt patches.
    - Bump standards version to 3.8.4 (no changes required).
    - Switch to dpkg-source 3.0 (quilt) format.
 -- Stefano Rivera <email address hidden>   Tue, 23 Mar 2010 15:38:34 +0100

Available diffs

Superseded in maverick-release on 2010-05-24
Obsolete in lucid-release on 2016-10-26
h5py (1.2.1-2ubuntu1) lucid; urgency=low

  * Rebuild against libhdf5-serial-1.8.4 (LP: #536869)
  * Fix debian/rules clean to know to delete setuptools-0.6c9-py2.6.egg,
    not just setuptools-0.6c9-py2.5.egg
 -- Steve Langasek <email address hidden>   Wed, 10 Mar 2010 23:02:29 +0000

Available diffs

Superseded in lucid-release on 2010-03-11
h5py (1.2.1-2) unstable; urgency=low

  * Build-depend on hdf5 >= 1.8.3 and enable api 1.8 (Closes: #548049)

146 of 46 results